Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ Creator & Designer Forum Discussions

AnEy_1336741
Level 3
Level 3
10 replies posted 5 replies posted 5 questions asked

I tried to wrap a predefined interrupt handler by use of the --wrap option of the GNU linker. Result is "option not known" or something like that. Seems as --wrap is not supported in the PSoC-version of the linker? Or did I something wrong. I filled in the Build settings of the linker a command line entry: --wrap=CySysWdtIsr         I tried several syntax variants as I found them in the www. Nothing worked.

   

Any idea?

0 Likes
1 Solution
Bob_Marlowe
Level 10
Level 10
First like given 50 questions asked 10 questions asked

Does this discussion help you?

   

 

   

Bob

View solution in original post

0 Likes
4 Replies
Bob_Marlowe
Level 10
Level 10
First like given 50 questions asked 10 questions asked

Does this discussion help you?

   

 

   

Bob

0 Likes

Thank you, but: Not really, since I just cannot go far enough to find if it's doing the right. The linker doesn't understand my --wrap=CySysWdtIsr

   

It seems to be a command line topic, as I get this "command not known" error from the linker.

   

Andreas

0 Likes
Bob_Marlowe
Level 10
Level 10
First like given 50 questions asked 10 questions asked

There is no "wrap" option for GCC 4.9 mentioned in the manual, look here.

   

 

   

Bob

0 Likes

I found it in the documents section of Creator 3.3: Help -> Documentation -> GCC-Documentation -> GNU Linker. On page 33 ...

0 Likes